<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('password:cleanup')->dailyAt('02:00');

        // invia sms certificati -- alle 16
        $schedule->command('send:sms')->dailyAt('15:00');

        // invia email programmate
        $schedule->command('emails:dispatch-due')->everyMinute();
        // invia sms programmati
        $schedule->command('sms:dispatch-due')->everyMinute();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__ . '/Commands');

        require base_path('routes/console.php');
    }
}
